org.deidentifier.arx.test

## Class AbstractTestUtilityMetricsPrecomputation.ARXUtilityMetricsTestCase

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTestUtilityMetricsPrecomputation.ARXUtilityMetricsTestCase

Enclosing class:
  AbstractTestUtilityMetricsPrecomputation

    public static class AbstractTestUtilityMetricsPrecomputation.ARXUtilityMetricsTestCase
    extends java.lang.Object

Represents a test case.

Author:
  Fabian Prasser, Florian Kohlmayer

### Field Summary

Fields
`ARXConfiguration` `config` Config
`java.lang.String` `dataset` Dataset
`Metric<?>` `m1` First model
`Metric<?>` `m2` Second model
`java.lang.String` `sensitiveAttribute` Sensitive attribute

### Constructor Summary

Constructors
Constructor and Description
`ARXUtilityMetricsTestCase(ARXConfiguration config, java.lang.String sensitiveAttribute, java.lang.String dataset, Metric<?> m1, Metric<?> m2)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDescription()` Returns a string description.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### config

    public ARXConfiguration config

Config

#### dataset

    public java.lang.String dataset

Dataset

#### sensitiveAttribute

    public java.lang.String sensitiveAttribute

Sensitive attribute

#### m1

    public Metric<?> m1

First model

#### m2

    public Metric<?> m2

Second model

### Constructor Detail

#### ARXUtilityMetricsTestCase

    public ARXUtilityMetricsTestCase(ARXConfiguration config,
                                     java.lang.String sensitiveAttribute,
                                     java.lang.String dataset,
                                     Metric<?> m1,
                                     Metric<?> m2)

Creates a new instance.

Parameters:
  `config` -
  `sensitiveAttribute` -
  `dataset` -
  `m1` -
  `m2` -

### Method Detail

#### getDescription

    public java.lang.String getDescription()

Returns a string description.

Returns:

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`